package com.engine.recruit.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.recruit.service.InitRecruitDataService;
import com.engine.recruit.service.impl.InitRecruitDataServiceImpl;
import weaver.hrm.User;

import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2023/11/23
 * @version: 1.0
 */
public class InitRecruitDataWrapper extends Service {
    private InitRecruitDataService getInitRecruitDataService(User user) {
        return ServiceUtil.getService(InitRecruitDataServiceImpl.class, user);
    }

    public Map<String, Object> checkInitStatus() {
        return getInitRecruitDataService(user).checkInitStatus();
    }

    public Map<String, Object> initRecruitData() {
        return getInitRecruitDataService(user).initRecruitData();
    }

    public Map<String, Object> updateRecruitData() {
        return getInitRecruitDataService(user).updateRecruitData();
    }
}
